package com.usky.dxtop.controller.web;


import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.service.ChargeService;
import com.usky.dxtop.service.vo.ChargeRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * 充值模块
 * @author yq
 * @since 2021-09-09
 */
@RestController
@RequestMapping("/dxtop/charge")
public class ChargeController {


    @Autowired
    private ChargeService chargeService;


    /**
     * 分页
     * @param chargeRequest
     * @return
     */
    @PostMapping("/page")
    public AjaxResult page(@Validated @RequestBody ChargeRequest chargeRequest){
        return AjaxResult.success(chargeService.page(chargeRequest));
    }

    /**
     * 充值详情
     * @param seq
     * @return
     */
    @GetMapping(value = "/{seq}")
    public AjaxResult one(@PathVariable Long seq){
        return AjaxResult.success(chargeService.one(seq));
    }


}

